# Generated by go2rpm
%bcond_without check

# https://github.com/digitalocean/godo
%global goipath         github.com/digitalocean/godo
Version:                1.65.0

%gometa

%global common_description %{expand:
Godo is a Go client library for accessing the DigitalOcean V2 API.}

%global golicenses      LICENSE.txt
%global godocs          CHANGELOG.md CONTRIBUTING.md README.md

%global gosupfiles      glide.lock glide.yaml

Name:           %{goname}
Release:        1%{?dist}
Summary:        DigitalOcean Go API client

License:        MIT and BSD
URL:            %{gourl}
Source0:        %{gosource}
Source1:        glide.yaml
Source2:        glide.lock

BuildRequires:  golang(github.com/google/go-querystring/query)
BuildRequires:  golang(golang.org/x/oauth2)

%if %{with check}
# Tests
BuildRequires:  golang(github.com/stretchr/testify/assert)
BuildRequires:  golang(github.com/stretchr/testify/require)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep
cp %{S:1} %{S:2} .

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Fri Sep 03 2021 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.65.0-1
- Update to 1.65.0
- Close #1916992

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.56.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.56.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Fri Jan 15 19:13:22 CET 2021 Robert-André Mauchin <zebob.m@gmail.com> - 1.56.0-1
- Update to 1.56.0
- Close: rhbz#1914477

* Fri Jan  8 09:56:35 CET 2021 Robert-André Mauchin <zebob.m@gmail.com> - 1.55.0-1
- Update to 1.55.0
- Close: rhbz#1914002

* Sat Jan  2 18:37:03 CET 2021 Robert-André Mauchin <zebob.m@gmail.com> - 1.54.0-1
- Update to 1.54.0
- Close: rhbz#1867204

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.42.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Sat Jul 25 21:45:56 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 1.42.0-1
- Update to 1.42.0

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.15.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.15.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sun Jun 02 14:56:51 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 1.15.0-1
- Release 1.15.0

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.15.git8dc1f54
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Tue Oct 23 2018 Nicolas Mailhot <nim@fedoraproject.org> - 0-0.14.git8dc1f54
- redhat-rpm-config-123 triggers bugs in gosetup, remove it from Go spec files as it’s just an alias
- https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/message/RWD5YATAYAFWKIDZBB7EB6N5DAO4ZKFM/

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.13.git8dc1f54
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Sat Jun 09 2018 Jan Chaloupka <jchaloup@redhat.com> - 0-0.12.git8dc1f54
- Upload glide files

* Wed Feb 28 2018 Jan Chaloupka <jchaloup@redhat.com> - 0-0.11.20150414git8dc1f54
- Autogenerate some parts using the new macros

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.10.git8dc1f54
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.9.git8dc1f54
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.8.git8dc1f54
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.7.git8dc1f54
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Jul 21 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.6.git8dc1f54
- https://fedoraproject.org/wiki/Changes/golang1.7

* Mon Feb 22 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.5.git8dc1f54
- https://fedoraproject.org/wiki/Changes/golang1.6

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.4.git8dc1f54
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Sep 12 2015 jchaloup <jchaloup@redhat.com> - 0-0.3.git8dc1f54
- Update to spec-2.1
  related: #1248794

* Thu Jul 30 2015 jchaloup <jchaloup@redhat.com> - 0-0.2.git8dc1f54
- Update spec file to spec-2.0
  resolves: #1248794

* Thu Apr 16 2015 jchaloup <jchaloup@redhat.com> - 0-0.1.git8dc1f54
- First package for Fedora
  resolves: #1215104

